# Switch the builtin LED on and off by using
# the user button (KEY). 
# We use here the adafruit_debouncer library for debouncing
# (it sholud be installad manually)
#
from digitalio import *
import time, board
from adafruit_debouncer import Debouncer

led = DigitalInOut(board.LED)
led.direction = Direction.OUTPUT
led.value = True

button = DigitalInOut(board.A0)
button.direction = Direction.INPUT
button.pull = Pull.UP
key = Debouncer(button)

while True:
    key.update()
    if key.fell:
       led.value = not led.value    
    time.sleep(0.02)